Get All Contacts

This API Used to get all Contacts details associated with the specified event. API used at host side event admin and super admin can access this API. It will return data like firstName, lastName, email, phoneNumber and other details.
To call this API, user have to pass query param with API URL like searchString, page, size and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns in the form of JSON.

AttributeDescription
firstNameThe contact's first name. It’s displayed the manage contacts in your engage and can be useful for searching.
lastNameThe contact's last name. It’s displayed the manage contacts in your engage and can be useful for searching.
emailThe contact's email address. It’s displayed the manage contacts in your engage and can be useful for searching.
orderNumberIt's contains the ticket order number.
ticketNumberit's contain the ticket number.
ticketTypeNameFetched ticket type names.
autoAssignedSeqNumberIt's contains the automatically assigned sequence of number.
idIt's contains the id of contact, if record exists in system.
countryCodeIt's contains the country code for phone number. Two-letter ISO code representing the country of the code.
phoneNumberThe contact's phone number. It’s displayed the manage contacts in your engage and can be useful for searching.
phoneNumberCSVIt's contains the phone number used for CSV upload includes country code and phone number both
errorA human-readable message providing more details about the error.
unSubscribedIt's contains return true or false value.
countryCodeFromStringTwo-letter ISO code representing the country of the code from string.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host
Query Params
string

Get filter contact records according to search value passing in request

int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

int32
Defaults to 10

Size will returns number of records when call api default will returns 10 records

string

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json